Subject: bug#77083: 31.0.50; submit-emacs-patch doesn't work in compressed lisp files

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Mar 2025 14:20:56 +0200

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 18 Mar 2025 15:31:31 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>  So the problem in your case is not that the files are compressed, the
>  problem is that the source tree doesn't exist on that system? In that
>  case, I believe the patch suggested by Philip up-thread will solve
>  this. Can you try it?
> 
> Yeah, I've tried it and it solves this issue.

Then I think Philip should install that change.

> However, maintainer address is not inserted in X-Debbugs-Cc:.

If you don't have the source tree with the file which you are
patching, how do you expect Emacs to find the maintainer?

> Maybe Should i set source-directory to my emacs-git path in my config?

You can set it to any directory where you have the Emacs source tree.

> Or there should be a defcustom instead using source-directory?

I don't think we want a defcustom in this case, no.  The doc string of
source-directory already says not to rely on its being there.